Subject: Re: [nncp-devel] EOF while decoding 8 bytes / message authentication failed

From: Frank Doepper <[email-masked]>
Date: Wed, 25 Dec 2019 15:46:10 +0100 (CET)

Hi Sergey,

> >And now connections fail 10 seconds in every time:
>
> I made 5.3.1 release where I have found that piped connection did not
> process deadlines correctly (addresses like "|ssh ..."). I still could
> not get errors related to ordinary direct TCP connections (between
> nncp-call and nncp-daemon) (tried between FreeBSD boxes and
> FreeBSD<->Debian one). Possibly that releases fixes your issue too.

Thank you! But unfortunately our bug is not yet fixed.

I must note that the bug only triggers when there is data to send
actually:

$ nncp-call -txrate 1 android
2019-12-25T14:37:44Z We have got for android: 1 packets, 13 MiB
2019-12-25T14:37:44Z Connection to android
2019-12-25T14:37:55Z Tx GKA..FQA 701 KiB/13 MiB 5% (63 KiB/sec)
E 2019-12-25T14:37:56.672727955Z [sp-xmit err="write tcp 192.168.2.103:52432->192.168.2.102:5400: use of closed network connection" nice="255" node="NUU..RDQ"]
2019-12-25T14:37:56Z Finished call with android: 32 KiB received (32 KiB/sec), 734 KiB transferred (67 KiB/sec)

Best regards,
Frank